		nolist
;==============================================================================
; Hardware Definitions
;------------------------------------------------------------------------------

; Notes:
;
; PORT A:
;  RA0 - Anode of 1st hours digit   \ Control which
;  RA1 - Anode of 2nd hours digit   | display is lit
;  RA2 - Anode of 1st seconds digit | (Active HI)
;  RA3 - Anode of 2nd seconds digit /
;  RA4 - N/C
;  RA5 - N/C
;
; PORT B:
;  RB0 - Cathode of DP              \
;  RB1 - Cathode of segment G       | Control which
;  RB2 - Cathode of segment F       | segment is lit
;  RB3 - Cathode of segment E       | (Active LO)
;  RB4 - Cathode of segment D       |
;  RB5 - Cathode of segment C       |
;  RB6 - Cathode of segment B       |
;  RB7 - Cathode of segment A       /
;
; Port C
;  RC0 - N/C
;  RC1 - N/C
;  RC2 - N/C
;  RC3 - SCL I2C Clock output
;  RC4 - SDA I2C Data in/out
;  RC5 - N/C
;  RC6 - N/C
;  RC7 - N/C
;
; Port D:
;  RD0 - N/C
;  RD1 - 1Hz Input from RTC
;  RD2 - Lamp output
;  RD3 - Buzzer output
;  RD4 - N/C
;  RD5 - N/C
;  RD6 - Anode of Seconds LEDS
;  RD7 - Anode of PM LED
;
; Port E
;  RE0 - Set/Reset switch
;  RE1 - Hours Set
;  RE2 - Minutes Set

;==============================================================================
; Revision History:
;
; 2005-02-16 AJ	Initial version
;------------------------------------------------------------------------------

; Port D pins

HZ		equ	1
LAMP		equ	2	
BUZZ		equ	3
SECS		equ	7
AMPM		equ	6

; Port E pins

SW_R		equ	0
SW_H		equ	1
SW_M		equ	2

		list
